Bug 235415 - net-mgmt/arpwatch: missing -v flag in getopt()
Summary: net-mgmt/arpwatch: missing -v flag in getopt()
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-02 03:03 UTC by Art Manion
Modified: 2019-04-29 06:14 UTC (History)
1 user (show)

See Also:
pi: maintainer-feedback+


Attachments
patch to patch-arpwatch.c (386 bytes, patch)
2019-02-02 03:08 UTC, Art Manion
no flags Details | Diff
new/clean patch-arpwatch.c (1.44 KB, patch)
2019-02-12 15:34 UTC, Art Manion
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Art Manion 2019-02-02 03:03:31 UTC
arpwatch was patched so that "The -v flag disables reporting on VRRP/CARP ethernet prefixes..." in ports r420995:

<https://svnweb.freebsd.org/ports/head/net-mgmt/arpwatch/files/patch-arpwatch.c?view=markup&pathrev=420995>

But the getopt() optstring is missing the 'v' so the case is never matched.
Comment 1 Art Manion 2019-02-02 03:08:02 UTC
Created attachment 201623 [details]
patch to patch-arpwatch.c
Comment 2 Art Manion 2019-02-12 15:34:40 UTC
Created attachment 201958 [details]
new/clean patch-arpwatch.c
Comment 3 Art Manion 2019-04-29 05:26:55 UTC
pfSense updates to arpwatch are probably blocked by this bug.

https://github.com/pfsense/FreeBSD-ports/pull/630
Comment 4 commit-hook freebsd_committer 2019-04-29 06:13:50 UTC
A commit references this bug:

Author: pi
Date: Mon Apr 29 06:13:44 UTC 2019
New revision: 500381
URL: https://svnweb.freebsd.org/changeset/ports/500381

Log:
  net-mgmt/arpwatch: missing -v flag in getopt()

  - The -v flag disables reporting on VRRP/CARP ethernet prefixes..."
    in ports r420995, but the getopt() optstring is missing the 'v' so
    the case is never matched.

  PR:		235415
  Submitted by:	Art Manion <traulam@gmail.com>

Changes:
  head/net-mgmt/arpwatch/files/patch-arpwatch.c
Comment 5 Kurt Jaeger freebsd_committer 2019-04-29 06:14:23 UTC
Committed, thanks! Sorry that it took so long, I forgot about this PR.